/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");

interface definitionInterface{
    (message:string):void;
}
export default function Insert(sql: string, argument: string[], callback: definitionInterface) {
    pool.query(sql, argument, (err, result) => {
        if (err) {
            return console.error(err.message);
        }
        callback(result.insertId);
        pool.releaseConnection(pool);
    });
}